<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/24/2004 *
 * ===================                          Last change: 08/09/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_holiday.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Remove holiday requests                          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Urlaubsschaltungen entfernen                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

// Shall I delete selected holidays???
if (countPostSelection() > 0) {
	// Delete multiple holiday requests (for list_holiday)
	$cnt = '0';
	foreach (postRequestElement('sel') as $id => $sel) {
		// Get the userid
		$result = SQL_QUERY_ESC("SELECT
	`userid`, `holiday_start`, `holiday_end`
FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`id`=%s
LIMIT 1", array(bigintval($id)), __FILE__, __LINE__);
		if (SQL_NUMROWS($result) == 1) {
			// Load data and free memory
			list($userid, $start, $end) = SQL_FETCHROW($result);
			SQL_FREERESULT($result);

			// Update user's account
			SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_user_data`
SET
	`holiday_active`='N',
	`holiday_activated`=0
WHERE
	`userid`=%s
LIMIT 1", array(bigintval($userid)), __FILE__, __LINE__);

			// Remove holiday
			SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`id`=%s
LIMIT 1", array(bigintval($id)), __FILE__, __LINE__);

			// Prepare loaded data for the
			$content = array(
				'start' => generateDateTime($start, 3),
				'end'   => generateDateTime($end  , 3)
			);

			// Send email to user
			$message = loadEmailTemplate('member_holiday_removed', $content, $userid);
			sendEmail($userid, getMessage('HOLIDAY_ADMIN_REMOVED_SUBJ'), $message);
			$cnt++;
		}
	}
	loadTemplate('admin_settings_saved', false, sprintf(getMessage('HOLIDAY_ADMIN_MULTI_DEL'), $cnt));
} elseif (isGetRequestElementSet('userid')) {
	// Set default message
	$message = getMessage('HOLIDAY_ADMIN_SINGLE_404');

	// Fetch data
	$result_load = SQL_QUERY_ESC("SELECT
	`holiday_start` AS start, `holiday_end` AS end
FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`userid`=%s
LIMIT 1",
		array(bigintval(getRequestElement('userid'))), __FILE__, __LINE__);
	if (SQL_NUMROWS($result_load) == 1) {
		// Load data
		$content = SQL_FETCHARRAY($result_load);

		// Delete one holiday request (for task)
		SQL_QUERY_ESC("DELETE LOW_PRIORITY FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`userid`=%s
LIMIT 1", array(bigintval(getRequestElement('userid'))), __FILE__, __LINE__);

		// Send email to user
		$message = loadEmailTemplate('member_holiday_removed', $content, getRequestElement('userid'));
		sendEmail(getRequestElement('userid'), getMessage('HOLIDAY_ADMIN_REMOVED_SUBJ'), $message);

		// Set message
		$message = getMessage('HOLIDAY_ADMIN_SINGLE_DELETED');
	}

	// Free memory
	SQL_FREERESULT($result_load);

	// Output message
	loadTemplate('admin_settings_saved', false, $message);
} else {
	// Please call me over other scripts... ;)
	loadTemplate('admin_settings_saved', false, getMessage('HOLIDAY_NO_DIRECT_CALL'));
}

// [EOF]
?>
